# some distros (suse) put this elsewhere
%define yumreposdir %{_sysconfdir}/yum.repos.d

Name:           dell-omsa-repository
Version:        2
Release:        5
Summary:        Repository configuration for the Dell OMSA repo at http://linux.dell.com/repo/hardware/
Group:          System Environment/Base
License:        BSD
URL:            http://linux.dell.com
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Provides: dell-hw-indep-repository = %{version}-%{release}
Provides: dell-hw-specific-repository = %{version}-%{release}
Obsoletes: dell-hw-indep-repository < 2
Obsoletes: dell-hw-specific-repository < 2

# SUSE build has anal directory ownership check. RPM which owns all dirs *must*
# be installed at buildtime. This means we have to BuildRequire them, even if
# we dont really need them at build time. Only required for suse > 11
%if 0%{?suse_version} >= 1100
BuildRequires: yum
%endif

%if 0%{?suse_version}
# suse has different yum repos dir from everybody else.
%define yumreposdir %{_sysconfdir}/yum/repos.d
%endif

%description
The linux.dell.com Dell OMSA software repository contains blah blah blah...

%prep
%build
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{yumreposdir}
touch $RPM_BUILD_ROOT/%{yumreposdir}/%{name}.repo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) %ghost %{yumreposdir}/%{name}.repo

%post
[ -z "$IN_BOOTSTRAP_ALREADY" ] || exit 0

# we'll re-bootstrap on rpm upgrade.
if [ -e %{yumreposdir}/%{name}.repo ]; then
    bootstrap_url=$(grep ^bootstrapurl= %{yumreposdir}/%{name}.repo 2>/dev/null | cut -d= -f2-)
fi

# if not set, check old dell-hw-indep yum repo config (This is for upgrades)
if [ -z "$bootstrap_url" -a -e %{yumreposdir}/dell-hw-indep-repository.repo ]; then
    bootstrap_url=$(grep ^mirrorlist= %{yumreposdir}/dell-hw-indep-repository.repo 2>/dev/null | head -n1 | cut -d= -f2-)
    bootstrap_url=${bootstrap_url%%/mirrors*}
fi

# if still not set, check old dell-mirror.cfg
if [ -z "$bootstrap_url" -a -e /etc/dell-mirror.cfg ]; then
    . /etc/dell-mirror.cfg
    bootstrap_url=${HARDWARE_SERVER}${HARDWARE_REPO_URL}
fi

# failsafe fallback. not great, but what can you do?
if [ -z "$bootstrap_url" ]; then
    bootstrap_url=http://linux.dell.com/repo/hardware/latest/
fi

if [ -n "$bootstrap_url" ]; then
    export RECURSIVE_RPM=1
    wget -O- -q $bootstrap_url/bootstrap.cgi | bash
fi

%postun

%changelog
* Wed Jun 27 2007 Michael Brown <Michael_E_Brown@dell.com> - 1-0
- initial release
